package com.cultural.heritage.model.dto.order.capital;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class OrderMainInfoAddRequest implements Serializable {


    /**
     * 用户id
     */
    private Long userId;


    /**
     * 用户昵称
     */
    private String userName;


    /**
     * 订单编号
     */
    private String orderNumber;


    /**
     * 地址id
     */
    private Long addressId;


    /**
     * 联系人id
     */
    private Long contactsId;


    /**
     * 优惠券id
     */
    private Long couponId;


    /**
     * 订单总金额
     */
    private Double totalAmount;

    /**
     * 订单状态
     */
    private String orderStatus;


    /**
     * 订单主要明细信息
     */
    private List<OrderItemMainInfoAddRequest> orderItemMainInfoAddRequestList;


    @Serial
    private static final long serialVersionUID = 1L;
}
